package sop_stage

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/sop_stage"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /sop_stage/detail sop_stage GetSopStageDetail
//
// Get sop stage by ID | 通过ID获取SopStage细节
//
// Get sop stage by ID | 通过ID获取SopStage细节
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: SopStageInfoResp

func GetSopStageDetailHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := sop_stage.NewGetSopStageDetailLogic(r.Context(), svcCtx)
		resp, err := l.GetSopStageDetail(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
